Bug 1744723 - R-devel requires R-rpm-macros
Summary: R-devel requires R-rpm-macros
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: R
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-22 18:06 UTC by Iñaki Ucar
Modified: 2019-09-29 02:22 UTC (History)
1 user (show)

Fixed In Version: R-3.6.1-1.el8 R-3.6.1-2.fc30 R-3.6.1-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-14 03:53:16 UTC


Attachments (Terms of Use)

Description Iñaki Ucar 2019-08-22 18:06:27 UTC
A buildroot override was submitted for R-3.6.1-1.fc29 and fc30. In this build, the R-devel subpackage requires R-rpm-macros:

https://src.fedoraproject.org/rpms/R/blob/f29/f/R.spec#_408
https://src.fedoraproject.org/rpms/R/blob/f30/f/R.spec#_408

which is only available for fc31 and rawhide. As a consequence, R packages fail to build for fc29 and fc30. E.g.:

https://koji.fedoraproject.org/koji/buildinfo?buildID=1363028
https://koji.fedoraproject.org/koji/buildinfo?buildID=1363027

Comment 1 Fedora Update System 2019-08-30 03:50:09 UTC
FEDORA-EPEL-2019-16908d432e has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-16908d432e

Comment 2 Fedora Update System 2019-08-30 03:50:15 UTC
FEDORA-2019-32499f9021 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-32499f9021

Comment 3 Fedora Update System 2019-08-30 15:27:58 UTC
R-3.6.1-1.fc30, R-rpm-macros-1.1.0-2.fc30, rkward-0.7.0-9.fc30, rpy-3.0.5-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-729bba50f9

Comment 4 Fedora Update System 2019-08-30 15:41:18 UTC
R-3.6.1-1.fc29, R-rpm-macros-1.1.0-2.fc29, rkward-0.7.0-9.fc29, rpy-2.9.5-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-32499f9021

Comment 5 Fedora Update System 2019-08-30 16:07:49 UTC
R-3.6.1-1.el7, R-rpm-macros-1.1.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-86e61d9c02

Comment 6 Fedora Update System 2019-08-30 17:22:55 UTC
R-3.6.1-1.el8, R-rpm-macros-1.1.0-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-16908d432e

Comment 7 Fedora Update System 2019-09-01 02:19:09 UTC
FEDORA-EPEL-2019-86e61d9c02 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-86e61d9c02

Comment 8 Fedora Update System 2019-09-01 02:19:58 UTC
FEDORA-2019-32499f9021 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-32499f9021

Comment 9 Fedora Update System 2019-09-01 02:21:58 UTC
FEDORA-2019-729bba50f9 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-729bba50f9

Comment 10 Fedora Update System 2019-09-02 01:09:00 UTC
R-3.6.1-2.fc30, rkward-0.7.0-9.fc30, rpy-3.0.5-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-729bba50f9

Comment 11 Fedora Update System 2019-09-02 01:49:00 UTC
R-3.6.1-2.fc29, rkward-0.7.0-9.fc29, rpy-2.9.5-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-32499f9021

Comment 12 Fedora Update System 2019-09-02 03:14:26 UTC
R-3.6.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-86e61d9c02

Comment 13 Fedora Update System 2019-09-14 03:53:16 UTC
R-3.6.1-1.el8, R-rpm-macros-1.1.0-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-09-24 01:08:33 UTC
R-3.6.1-2.fc30, rkward-0.7.0-9.fc30, rpy-3.0.5-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-09-29 02:22:23 UTC
R-3.6.1-2.fc29, rkward-0.7.0-9.fc29, rpy-2.9.5-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.